Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453192 - Implement product/entitlement association
Summary: Implement product/entitlement association
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Customer Support Portal
Classification: Retired
Component: Web-General
Version: 1.3.9
Hardware: All
OS: All
low
low
Target Milestone: ---
: ---
Assignee: Nathan Lugert
QA Contact: David Spalding
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 19:00 UTC by John Sanda
Modified: 2015-01-20 00:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-05 18:34:45 UTC
Type: ---


Attachments (Terms of Use)

Description John Sanda 2008-06-27 19:00:07 UTC
Description of problem:
Implement the association for products and entitlements. There is a join table,
entitlement_mapping which is mapped to the class EntitlementMapping. There is a
corresponding DAO class, EntitlementMappingDAO. Both of these should be removed
and replaced with the mapped association.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Spalding 2011-01-05 18:34:45 UTC
Superceded by Avalon. This component is no longer valid.


Note You need to log in before you can comment on or make changes to this bug.